
	$line = 0;
	$out = 0;

	unless (open(FP, "systraps.txt")) {
		print "error: Could not open systraps.txt\n";
		return;
	}

	unless (open(OFP, ">systraps.csv")) {
		print "Could not open systraps.csv for writing\n";
		return;
	}

	printf OFP "OS,trap,hex,name\n";

	while (<FP>) {
		if (m/\n$/) {
			chop;
		} else {
			print "missing EOL at line $line\n";
		}

		$line++;
		@F = split;

		$double = 0;
		$os = "*";
		$num = $F[0];
		$name = $F[1];

		if ($name =~ /\([1-9]\)/) {
#			print "os-specific: $name\n";
			@G = split(/([\(\)])/,$name);
			$name = $G[0];
			$os = $G[2]
		}

		printf OFP "$os,%d,%X,$name\n", $num, $num;
		$out++;

		if ($#F > 1) {
#			print "second name: $F[2]\n";
			$name = $F[2];

			if ($name =~ /\([1-9]\)/) {
#				print "os-specific: $name\n";
				@G = split(/([\(\)])/,$name);
				$name = $G[0];
				$os = $G[2]
			}

			printf OFP "$os,%d,%X,$name\n", $num, $num;
			$out++;
		}

	}

	close(FP);
	close(OFP);

	print "read $line lines, wrote $out lines\n";

	$ret = system("jconv 1 systraps.csv systraps-jf.pdb Systraps");

	print "jconv returned $ret\n";


